Bug 473299 - after login, drawers on panel are all in their open state
after login, drawers on panel are all in their open state
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-27 10:36 EST by ca.indie
Modified: 2008-12-06 23:26 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-12-06 23:26:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description ca.indie 2008-11-27 10:36:27 EST
Description of problem:

After entering login credentials on fedora 10, the gnome 2.24.x desktop is started.  

My desktop and panel configurationare as follows:

There is one panel on the bottom, with 6 buttons. Two of these buttons are for applications; firefox and evolution, the rest are drawers.  

All buttons are custom icons.  

The panel contains a window switcher. window list, notification area and clock.  

A custom theme is used based on the aurora theme engine with:

aurora controls
custom color for aurora window backgrounds (#EDEADA)
ana window border
custom mouse pointer - whitelarge
custom icons - Marcintesch_OS-L-White-Icons

When this desktop configuration appears after login - all panel drawers are in an open state and must be manually closed.  They remain closed until  a logout/login cycle occurs.

This is unique to fedora 10. On opensolaris snv-101b and ubuntu 8.10 with the same configuration as above, panel drawers are closed when destop starts after login.

Version-Release number of selected component (if applicable):
fedora 10 release, gnome 2.24, panel ???

How reproducible:
every time the desktop starts

Steps to Reproduce:
1.add drawers to a panel
2.log out
Actual results:

all drawers are in their open state

Expected results:

drawers in closed state

Additional info:
Comment 1 Steven Bakker 2008-11-30 06:14:00 EST
Same problem here.
Comment 2 josef radinger 2008-12-01 02:10:21 EST
me, too. i upgraded from fc9 to fc10. every time i login all my drawers (and the subdrawers) are open again.
Comment 3 Ray Strode [halfline] 2008-12-01 16:51:45 EST
sounds like bug 470719 rearing it's ugly head again.
Comment 4 Ray Strode [halfline] 2008-12-01 16:54:49 EST
Actually, koji says:

$ koji latest-pkg dist-f10 gnome-panel

* Sun Nov  9 2008 Ray Strode <rstrode@redhat.com> - 2.24.1-4
- Don't unhide drawers by default.  Patch from
  Leszek Matok <lam@lac.pl> (bug 470719)

I don't know why it missed the bandwagon, I must have forgotten to ask rel-eng to tag it.
Comment 5 Ray Strode [halfline] 2008-12-01 16:59:54 EST
There's currently a gnome-panel update in testing that should fix this issue.
Comment 6 Ray Strode [halfline] 2008-12-01 17:00:31 EST
(see https://admin.fedoraproject.org/updates/F10/FEDORA-2008-10390)
Comment 7 Fedora Update System 2008-12-06 23:26:50 EST
gnome-panel-2.24.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.